package dev.pfaff.altargui.pathfinder;

public record RectI(int originX, int originY, int width, int height) {
	public static RectI fromCorners(int originX, int originY, int lowerRightX, int lowerRightY) {
		return new RectI(originX, originY, lowerRightX - originX, lowerRightY - originY);
	}
}
