package dev.pfaff.altargui.shader;

import java.util.function.Consumer;
import java.util.function.Supplier;

public record Program<T extends ShaderProg>(DrawMode drawMode,
											Supplier<T> shader,
											Consumer<T> drawSetup,
											int templateVertexCount,
											InstanceLayout instanceLayout) {
}
