package dev.pfaff.altargui.util;

public sealed abstract class TaskException extends RuntimeException {
	public TaskException() {
	}

	public TaskException(String message) {
		super(message);
	}

	public TaskException(String message, Throwable cause) {
		super(message, cause);
	}

	public static final class Failed extends TaskException {
		public Failed() {
		}

		public Failed(String message) {
			super(message);
		}

		public Failed(String message, Throwable cause) {
			super(message, cause);
		}
	}

	public static final class Cancelled extends TaskException {
		public Cancelled() {
		}

		public Cancelled(String message) {
			super(message);
		}

		public Cancelled(String message, Throwable cause) {
			super(message, cause);
		}
	}
}
