package dev.pfaff.altargui.debug;

public interface Profiler {
	Profiler NOP = new NopProfiler();

	void push(String name);
	void pop();

	default void replace(String name) {
		pop();
		push(name);
	}

	boolean isEventEnabled(Class<? extends Event> eventClass);

	void pushEvent(Event event);
	void popEvent();
}
