package dev.pfaff.altargui.pathfinder;

public record RectF(float originX, float originY, float width, float height) {
	public static RectF fromCorners(float originX, float originY, float lowerRightX, float lowerRightY) {
		return new RectF(originX, originY, lowerRightX - originX, lowerRightY - originY);
	}
}
